System Policy and System Policy Editor

System Policy Editor (poledit.exe) is a Windows NT 4.0–style utility for setting System Policy for Windows NT 4.0 clients, and for setting Windows NT 4.0–style System Policy for Windows 2000 clients. For Windows 2000 clients, it is best to use Group Policy instead of System Policy.

The following table summarizes the compatibility of System Policy files across versions of the Windows operating system.

A .pol file created in | Will run in
Windows 2000 | Windows 2000, Windows NT 4.0
Windows NT 4.0 | Windows 2000, Windows NT 4.0
Windows 98 | Windows 98, Windows 95
Windows 95 | Windows 98, Windows 95

For help on specific tasks, see How To.

For Windows 2000 clients, see Group Policy.


    How To...

  • Create a new policy for a domain
  • Set a policy for an individual computer
  • Set a group priority
  • Add a policy template
  • Remove a policy template
  • Modify the registry on a network computer


Create a new policy for a domain

To create a new policy for a domain

  1. Open System Policy Editor.
  2. On the File menu, click New Policy.
  3. To specify what your registry-setting changes apply to, do the following:

    4. Double-click Default User to change HKEY_CURRENT_USER registry settings for all users on the domain.

    Double-click Default Computer to change HKEY_LOCAL_MACHINE registry settings for all computers on the domain.

  4. To add to the registry settings, on the Edit menu, click Commands to do the following:

    5. To change HKEY_CURRENT_USER for specific users, click Add User.

    To change HKEY_LOCAL_MACHINE for specific computers, click Add Computer.

    To change HKEY_CURRENT_USER for specific groups, click Add Group.

  5. If necessary, finish configuring policy settings for any other policy files you have added, and then on the File menu, click Save As.
  6. In Save in, specify the Netlogon folder on the primary domain controller (PDC), such as:

    7. \\PDCServerName\netlogon

  7. In File name, type NTconfig.pol (for Windows 98 and Windows 95 clients, type Config.pol) and then click Save.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Notes

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.
  • In System Policy Editor, double-click a book icon to see the available settings. If a policy settings check box is selected, the policy will be implemented.
  • The policy is enforced on each computer running Windows NT 4.0, Windows 98 or Windows 95 when users log on.
  • For more information on System Policy, see Migration issues.


Set a policy for an individual computer

To set a policy for an individual computer

  1. Open System Policy Editor.
  2. At the individual computer, on the File menu, click Open Registry, and then double-click Local Computer.
  3. Next to Network, click the plus sign (+).
  4. Next to System policies update, click the plus sign, and then click Remote update.
  5. To have the registry process error messages displayed on client computers, click Display error messages.
  6. To download the policy file from a server other than a domain controller, in Update mode, click Manual (use specific path), and then provide the specific path.
  7. If necessary, finish configuring policy settings for any other policy files on the computer, and then save the policy files in the appropriate folder.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Notes

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.
  • Make sure the policy file has a .pol extension.
  • You can access the registry only on computers for which you have administrative permission.


Set a group priority

To set a group priority

  1. Open System Policy Editor.
  2. On the File menu, click either New Policy or Open Policy. If you create a new policy, you will need to add groups to the policy before setting group priorities.
  3. On the Options menu, click Group Priority.
  4. In Group Order, click a group, and then click Move Up or Move Down.

Notes

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.
  • The Group Priority menu option is disabled if there are groups displayed for the current policy.
  • Groups highest on the list have the highest priority.
  • The order in which groups are evaluated is important if some users belong to more than one group for which policy is defined, and if the policy in two or more of these groups contains different settings for the same policy.


Add a policy template

To add a policy template

  1. Close all policy files.
  2. Copy any .adm files to the folder containing .inf files (typically C:\winnt\inf).
  3. Open System Policy Editor.
  4. On the System Policy Editor Options menu, click Policy Template, and then click Add.
  5. Specify the policy template (.adm) file name, and then click OK.

Notes

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.
  • Software vendors can develop policy templates to implement policy for their own programs. For information on creating new policy templates, see the Microsoft Win32 Software Developers Kit (SDK).


Remove a policy template

To remove a policy template

  1. Close all policy files.
  2. Open System Policy Editor.
  3. On the Options menu, click Policy Template.
  4. Click the policy template you want to remove, and then click Remove.

Note

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.


Modify the registry on a network computer

To modify the registry on a network computer

  1. Open System Policy Editor.
  2. On the File menu, click Connect.
  3. Type the name of the computer on the network.
  4. In the Users on Remote Computer dialog box, click the user that is interactively logged on, and then click OK. Typically, only one user is logged on.
  5. Double-click Local User, and change the HKEY_CURRENT_USER registry settings you want to modify.
  6. Double-click Local Computer, and change the HKEY_LOCAL_MACHINE registry settings you want to modify.
  7. On the File menu, click Save, and then click Disconnect.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

Notes

  • To open System Policy Editor, click Start, click Run, and then type poledit.exe.
  • You can access the registry only on computers for which you have administrative permission.